/*
###
### This file is part of
###
###                        TurboLinux  ZWinPro
###
###                 Copyright (C) 1999-2000 TurboLinux, Inc. 
###                        All Rights Reserved
### Distributed under the terms of the GNU General Public License (GPL)
###
###
### Authors:     TurboLinux Chinese Development Team:
###              Justin Yu   <justiny@turbolinux.com.cn>
###              Sean Chen   <seanc@turbolinux.com.cn>
###              Daniel Fang <danf@turbolinux.com.cn>
### WWW:         http://www.turbolinux.com.cn/ZWinPro/
### FTP:         ftp://ftp.turbolinux.com.cn/pub/ZWinPro/
###
*/

typedef struct _chinput_symbol{
	char	c;
	int	num;
	int 	cur;
	char    *s;
}chinput_symbol;


chinput_symbol chinput_corner_gb[] = {
	{' ',		1,	0,	""},
	{'!',		1,	0,	""},
	{'"',		2,	0,	""},
	{'\043',	1,	0,	""},
	{'$',		2,	0,	""},
	{'%',		1,	0,	""},
	{'&',		1,	0,	""},
	{'\'',		2,	0,	""},
	{'(',		3,	0,	""},
	{')',		3,	0,	""},
	{'*',		1,	0,	""},
	{'+',		1,	0,	""},
	{',',		1,	0,	""},
	{'-',		1,	0,	""},
	{'.',		1,	0,	""},
	{'/',		1,	0,	""},
	{'0',		1,	0,	""},
	{'1',		1,	0,	""},
	{'2',		1,	0,	""},
	{'3',		1,	0,	""},
	{'4',		1,	0,	""},
	{'5',		1,	0,	""},
	{'6',		1,	0,	""},
	{'7',		1,	0,	""},
	{'8',		1,	0,	""},
	{'9',		1,	0,	""},
	{':',		1,	0,	""},
	{';',		1,	0,	""},
	{'<',		2,	0,	""},
	{'=',		1,	0,	""},
	{'>',		2,	0,	""},
	{'?',		1,	0,	""},
	{'@',		1,	0,	""},
	{'A',		1,	0,	""},
	{'B',		1,	0,	""},
	{'C',		1,	0,	""},
	{'D',		1,	0,	""},
	{'E',		1,	0,	""},
	{'F',		1,	0,	""},
	{'G',		1,	0,	""},
	{'H',		1,	0,	""},
	{'I',		1,	0,	""},
	{'J',		1,	0,	""},
	{'K',		1,	0,	""},
	{'L',		1,	0,	""},
	{'M',		1,	0,	""},
	{'N',		1,	0,	""},
	{'O',		1,	0,	""},
	{'P',		1,	0,	""},
	{'Q',		1,	0,	""},
	{'R',		1,	0,	""},
	{'S',		1,	0,	""},
	{'T',		1,	0,	""},
	{'U',		1,	0,	""},
	{'V',		1,	0,	""},
	{'W',		1,	0,	""},
	{'X',		1,	0,	""},
	{'Y',		1,	0,	""},
	{'Z',		1,	0,	""},
	{'[',		4,	0,	"ۡ"},
	{'\\',		1,	0,	""},
	{']',		4,	0,	"ݡ"},
	{'^',		1,	0,	""},
	{'_',		1,	0,	""},
	{'`',		1,	0,	""},
	{'a',		1,	0,	""},
	{'b',		1,	0,	""},
	{'c',		1,	0,	""},
	{'d',		1,	0,	""},
	{'e',		1,	0,	""},
	{'f',		1,	0,	""},
	{'g',		1,	0,	""},
	{'h',		1,	0,	""},
	{'i',		1,	0,	""},
	{'j',		1,	0,	""},
	{'k',		1,	0,	""},
	{'l',		1,	0,	""},
	{'m',		1,	0,	""},
	{'n',		1,	0,	""},
	{'o',		1,	0,	""},
	{'p',		1,	0,	""},
	{'q',		1,	0,	""},
	{'r',		1,	0,	""},
	{'s',		1,	0,	""},
	{'t',		1,	0,	""},
	{'u',		1,	0,	""},
	{'v',		1,	0,	""},
	{'w',		1,	0,	""},
	{'x',		1,	0,	""},
	{'y',		1,	0,	""},
	{'z',		1,	0,	""},
	{'{',		1,	0,	""},
	{'|',		1,	0,	""},
	{'}',		1,	0,	""},
	{'~',		1,	0,	""},
};

chinput_symbol chinput_corner_big5[] = {
	{' ',		1,	0,	"@"},
	{'!',		1,	0,	"I"},
	{'"',		2,	0,	""},
	{'\043',	1,	0,	""},
	{'$',		1,	0,	"C"},
	{'%',		1,	0,	"H"},
	{'&',		1,	0,	""},
	{'\'',		2,	0,	""},
	{'(',		3,	0,	"]uy"},
	{')',		3,	0,	"^vz"},
	{'*',		1,	0,	""},
	{'+',		1,	0,	""},
	{',',		1,	0,	"A"},
	{'-',		1,	0,	"ww"},
	{'.',		1,	0,	"C"},
	{'/',		1,	0,	""},
	{'0',		1,	0,	""},
	{'1',		1,	0,	""},
	{'2',		1,	0,	""},
	{'3',		1,	0,	""},
	{'4',		1,	0,	""},
	{'5',		1,	0,	""},
	{'6',		1,	0,	""},
	{'7',		1,	0,	""},
	{'8',		1,	0,	""},
	{'9',		1,	0,	""},
	{':',		1,	0,	"G"},
	{';',		1,	0,	"Q"},
	{'<',		2,	0,	"m"},
	{'=',		1,	0,	""},
	{'>',		2,	0,	"n"},
	{'?',		1,	0,	"H"},
	{'@',		1,	0,	"I"},
	{'A',		1,	0,	""},
	{'B',		1,	0,	""},
	{'C',		1,	0,	""},
	{'D',		1,	0,	""},
	{'E',		1,	0,	""},
	{'F',		1,	0,	""},
	{'G',		1,	0,	""},
	{'H',		1,	0,	""},
	{'I',		1,	0,	""},
	{'J',		1,	0,	""},
	{'K',		1,	0,	""},
	{'L',		1,	0,	""},
	{'M',		1,	0,	""},
	{'N',		1,	0,	""},
	{'O',		1,	0,	""},
	{'P',		1,	0,	""},
	{'Q',		1,	0,	""},
	{'R',		1,	0,	""},
	{'S',		1,	0,	""},
	{'T',		1,	0,	""},
	{'U',		1,	0,	""},
	{'V',		1,	0,	""},
	{'W',		1,	0,	""},
	{'X',		1,	0,	""},
	{'Y',		1,	0,	""},
	{'Z',		1,	0,	""},
	{'[',		3,	0,	"ei"},
	{'\\',		1,	0,	"B"},
	{']',		3,	0,	"fj"},
	{'^',		1,	0,	"KK"},
	{'_',		1,	0,	"Z"},
	{'`',		1,	0,	""},
	{'a',		1,	0,	""},
	{'b',		1,	0,	""},
	{'c',		1,	0,	""},
	{'d',		1,	0,	""},
	{'e',		1,	0,	""},
	{'f',		1,	0,	""},
	{'g',		1,	0,	""},
	{'h',		1,	0,	""},
	{'i',		1,	0,	""},
	{'j',		1,	0,	""},
	{'k',		1,	0,	""},
	{'l',		1,	0,	""},
	{'m',		1,	0,	""},
	{'n',		1,	0,	""},
	{'o',		1,	0,	""},
	{'p',		1,	0,	""},
	{'q',		1,	0,	""},
	{'r',		1,	0,	""},
	{'s',		1,	0,	""},
	{'t',		1,	0,	""},
	{'u',		1,	0,	""},
	{'v',		1,	0,	""},
	{'w',		1,	0,	"@"},
	{'x',		1,	0,	"A"},
	{'y',		1,	0,	"B"},
	{'z',		1,	0,	"C"},
	{'{',		1,	0,	""},
	{'|',		1,	0,	"W"},
	{'}',		1,	0,	""},
	{'~',		1,	0,	""},
};

#define N_SYMBOL  (sizeof(chinput_corner_gb)/sizeof(chinput_corner_gb[0]))


